<template>
  <div class="i-bottom-panel">
    <div class="i-bottom-panel__wrapper">
      <div class="i-bottom-panel__content">
        <nuxt-link
          v-for="item in items"
          :key="item.title"
          :to="{ name: item.to }"
          tag="button"
          class="i-bottom-panel-button">
          <img :src="item.selectedImage" class="i-bottom-panel-button__image i-bottom-panel-button__image--selected" />
          <img :src="item.defaultImage" class="i-bottom-panel-button__image" />
          <span class="i-bottom-panel-button__title">{{ item.title }}</span>
        </nuxt-link>
      </div>
    </div>
  </div>
</template>

<script>
  export default {
    props: {
      //
    },

    data() {
      return {
        items: [
          {
            title: this.$t('Today'),
            to: 'today',
            defaultImage: require('~/assets/images/bottom-panel-today.png'),
            selectedImage: require('~/assets/images/bottom-panel-today-colored.png'),
          },
          {
            title: this.$t('About You'),
            to: 'you',
            defaultImage: require('~/assets/images/bottom-panel-you.png'),
            selectedImage: require('~/assets/images/bottom-panel-you-colored.png'),
          },
          {
            title: this.$t('Compatibility'),
            to: 'compatibility',
            defaultImage: require('~/assets/images/bottom-panel-compatibility.png'),
            selectedImage: require('~/assets/images/bottom-panel-compatibility-colored.png'),
          },
          {
            title: this.$t('Astrologers'),
            to: 'astrologers',
            defaultImage: require('~/assets/images/bottom-panel-reports.png'),
            selectedImage: require('~/assets/images/bottom-panel-reports-colored.png'),
          },
        ],
      };
    },
  };
</script>

<style lang="scss">
  .i-bottom-panel {
    display: flex;
    width: 100%;
    height: rs(48px);
  }

  .i-bottom-panel__wrapper {
    position: fixed;
    z-index: 1;
    bottom: 0;
    left: 0;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    height: rs(48px);
    box-shadow: 0 -4px 15px rgba(0, 0, 0, 0.15);
  }

  .i-bottom-panel__content {
    display: flex;
    width: 100%;
    max-width: 480px;
    height: rs(48px);
    background-color: #fff;
  }

  .i-bottom-panel-button {
    flex-basis: 0;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border: 0;
    height: rs(48px);
    cursor: pointer;
    background-color: #fff;
  }

  .i-bottom-panel-button__image {
    width: rs(30px);
    height: rs(30px);
  }

  .i-bottom-panel-button:not(.nuxt-link-active) .i-bottom-panel-button__image {
    opacity: 0.4;
  }

  .i-bottom-panel-button:not(.nuxt-link-active) .i-bottom-panel-button__image.i-bottom-panel-button__image--selected {
    display: none;
  }

  .i-bottom-panel-button.nuxt-link-active .i-bottom-panel-button__image:not(.i-bottom-panel-button__image--selected) {
    display: none;
  }

  .i-bottom-panel-button__title {
    height: 13px;
    font-size: rf(10px);
    color: #969696;
  }

  .i-bottom-panel-button:not(.nuxt-link-active) .i-bottom-panel-button__title {
    opacity: 0.4;
  }

  .i-bottom-panel-button.nuxt-link-active .i-bottom-panel-button__title {
    color: #fb7474;
  }
</style>
